/* ENTRY */
.u27-entry
{
    ALIGN-ITEMS: flex-start;
    DISPLAY: flex;
    FLEX-WRAP: wrap;
    GAP: var(--cms-vspacing) var(--cms-hspacing);
}

.u27-entry > *
{
    FLEX: 1 1 calc(50% - var(--cms-hspacing) / 2);
    MIN-WIDTH: min(100%, 350 * var(--cms-factor));
}

.u27-entry-right
{
    ALIGN-ITEMS: flex-end;
}

/* TOPIC */
.u27-entry-topic
{
    MARGIN-BOTTOM: var(--cms-hpadding);
    TEXT-WRAP: balance;
}

.u27-entry-topic BUTTON
{
    ALL: unset;
    CURSOR: pointer;
}

.u27-entry-topic BUTTON:is(:focus-visible, :hover)
{
    COLOR: var(--cms-link-color-alt);
    TEXT-DECORATION: underline;
}

/* TAGS */
.u27-entry-tag BUTTON
{
    ALL: inherit;
    COLOR: var(--cms-background-alt3);
    CURSOR: pointer;
    DISPLAY: inline-block;
    FONT-STYLE: italic;
    LINE-HEIGHT: 100%;
    MARGIN: 0 1ch 0 0;
    VERTICAL-ALIGN: middle;
}

.u27-entry-tag BUTTON:before
{
    CONTENT: "#";
}

.u27-entry-tag BUTTON:is(:focus, :hover)
{
    COLOR: var(--cms-link-color-alt);
    TEXT-DECORATION: underline;
}

/* IMAGE */
.u27-entry-image IMG
{
    WIDTH: min(100%, 350 * var(--cms-factor));
    BORDER: var(--cms-separator-border);
    PADDING: var(--cms-hpadding);
}

/* DATA */
.u27-entry-data > DIV
{
    BORDER-BOTTOM: var(--cms-separator-border);
    DISPLAY: flex;
    FLEX-WRAP: wrap;
    GAP: 0 var(--cms-hpadding);
}

.u27-entry-data > DIV > DIV
{
    FLEX: 1 1 calc(225 * var(--cms-factor));
    MIN-WIDTH: min(100%, 225 * var(--cms-factor));
}

.u27-entry-data > DIV > DIV:first-child
{
    FONT-WEIGHT: 700;
}

.u27-entry-data > DIV > DIV:first-child:after
{
    CONTENT: ":";
}

.u27-entry-data > DIV > DIV:last-child
{
    FLEX-BASIS: calc(100% - calc(225 * var(--cms-factor)) - var(--cms-hpadding));
}

/* EDITING */
FIELDSET.u27-display-input > DIV:first-of-type
{
    MAX-HEIGHT: calc(250 * var(--cms-factor));
    OVERFLOW-X: clip;
    OVERFLOW-Y: auto;
    WIDTH: 100%;
}

FIELDSET.u27-display-input LABEL:last-child INPUT[type=radio]
{
    DISPLAY: none;
}

FIELDSET.u27-display-input LABEL,
FIELDSET.u27-display-input INPUT[type=text]
{
    DISPLAY: block;
}

FIELDSET.u27-display-input LABEL
{
    PADDING: 0 calc(5 * var(--cms-factor));
}

FIELDSET.u27-display-input LABEL:has(:checked)
{
    BACKGROUND: rgba(0, 0, 0, 0.1);
}

FIELDSET.u27-display-input DIV DIV:has(BUTTON)
{
    DISPLAY: flex;
}

FIELDSET.u27-display-input INPUT[type=text],
FIELDSET.u27-display-input BUTTON
{
    MARGIN: var(--cms-input-border-width) 0 0;
    MIN-WIDTH: auto;
}

FIELDSET.u27-display-input DIV.u27-display-input-group SPAN
{
    DISPLAY: none;
}

FIELDSET.u27-display-input DIV.u27-display-input-group
{
    MARGIN: 0 calc(-5 * var(--cms-factor));
}

FIELDSET.u27-display-input DIV.u27-display-input-group A
{
    MARGIN: 0 calc(5 * var(--cms-factor));
    WHITE-SPACE: nowrap;
}

/* SAVE BUTTON */
#u27-entry-save
{
    BOTTOM: var(--cms-vspacing);
    BOX-SHADOW: var(--cms-box-shadow);
    FLOAT: right;
    MARGIN: 0;
    POSITION: sticky;
}

/* INTERNAL DATA */
.u27-entry-internal:before
{
    BACKGROUND: #fcf9f0;
    CONTENT: "";
    INSET: 0;
    POSITION: absolute;
}